<apex:page controller="FM_TruckListsCustomCtrl"  docType="html-5.0">

<apex:stylesheet value="/sCSS/25.0/sprites/1342034628000/Theme3/default/gc/versioning.css" />
<apex:stylesheet value="/sCSS/25.0/sprites/1342034628000/Theme3/default/gc/extended.css" />

<!-- prevent displaying DatePicker on page enter  -->
<script>function setFocusOnLoad() {}</script>

<apex:form >

	<apex:actionstatus id="ajaxStatus">
        <apex:facet name="start">

            <div class="waitingSearchDiv" id="el_loading" style="background-color: #DCD6D6; height: 100%;opacity:0.65;width:100%;">
                <div class="waitingHolder" style="top: 150px; width: 200px; height: 40px; border:1px solid black;  background-color: white;">
                    <p>
                        <img class="waitingImage" src="/img/loading.gif" title="Please Wait..." />
                        <span class="waitingDescription">Please Wait...</span>
                    </p>
                </div>
            </div>

        </apex:facet>
    </apex:actionstatus>



    <apex:tabPanel switchType="client" selectedTab="name1" id="theTabPanel"  >
        <apex:tab label="All Truck Lists" name="name1" id="tabOne"  >

            <apex:outputPanel id="id-filter1">
                <apex:pageBlock >
        			<apex:pageMessages />
                    <apex:pageBlockSection columns="2">
                        <apex:pageBlockSectionItem >
                            <apex:outputLabel value="Date" />
                            <apex:outputPanel layout="block">
                                <div class="requiredInput">
                                <div class="requiredBlock"></div>
                                    <apex:inputField value="{!truckTrip.Run_Sheet_Date__c}"/>
                                </div>
                            </apex:outputPanel>
                        </apex:pageBlockSectionItem>
                        <apex:inputField value="{!truckTrip.Shift__c}" id="abc"/>
                        <apex:inputField value="{!truckTrip.Truck_Trip_Status__c}" />
                        <apex:pageblockSectionItem >
                            <apex:outputLabel value="Unit #"/>
                            <apex:selectList size="1" value="{!truckTrip.Unit__c}"><!--<apex:selectList size="1" value="{!unitId}"> -->
                                <apex:selectOption itemValue="" itemLabel="--None--" />
                                <apex:selectOptions value="{!unitSelectOptionList}" />
                            </apex:selectList>
                        </apex:pageblockSectionItem>
                    </apex:pageBlockSection>
                </apex:pageBlock>
            </apex:outputPanel>

        </apex:tab>

        <apex:tab label="Night Truck Lists" name="name3" id="tabThree" ontabenter="callTonights();">
            <apex:outputPanel id="id-filter3">
                <apex:pageBlock >
                    <apex:pageBlockSection columns="2">
                        <apex:outputField value="{!truckTrip.Run_Sheet_Date__c}"/>
                        <apex:outputField value="{!truckTrip.Shift__c}"/>
                        <apex:outputField value="{!truckTrip.Truck_Trip_Status__c}"/>
                        <apex:outputField value="{!truckTrip.Unit__c}"/>
                    </apex:pageBlockSection>
                </apex:pageBlock>
            </apex:outputPanel>
        </apex:tab>

        <apex:tab label="Day Truck Lists" name="name2" id="tabTwo" ontabenter="callTodays();" >
            <apex:outputPanel id="id-filter2">
                <apex:pageBlock >
                    <apex:pageBlockSection columns="2">
                        <apex:outputField value="{!truckTrip.Run_Sheet_Date__c}"/>
                        <apex:outputField value="{!truckTrip.Shift__c}"/>
                        <apex:outputField value="{!truckTrip.Truck_Trip_Status__c}"/>
                        <apex:outputField value="{!truckTrip.Unit__c}"/>
                    </apex:pageBlockSection>
                </apex:pageBlock>
            </apex:outputPanel>
        </apex:tab>

    </apex:tabPanel>


    <apex:actionFunction name="callAll" action="{!searchAllTruckLists}" status="ajaxStatus" rerender="id-trucklist,id-filter1,id-filter2,id-filter3,id-dispatcherFilter"/>
    <apex:actionFunction name="callTodays" action="{!searchTodayTruckLists}" status="ajaxStatus" rerender="id-trucklist,id-filter1,id-filter2,id-filter3"/>
	<apex:actionFunction name="callTonights" action="{!searchTonightTruckLists}" status="ajaxStatus" rerender="id-trucklist,id-filter1,id-filter2,id-filter3"/>

    <apex:pageBlock id="id-dispatcherFilter">
        <apex:pageBlockSection columns="1">
            <apex:pageBlockSectionItem >
                <apex:outputLabel value="{!$ObjectType.Dispatch_Desk__c.Label}" />
                <apex:selectList value="{!deskFilter}" size="4" label="{!$ObjectType.Dispatch_Desk__c.Label}" multiselect="true" style="align:center">
                    <apex:selectOptions value="{!dispatchDeskSelectOptionList}" />
                </apex:selectList>
            </apex:pageBlockSectionItem>
        </apex:pageBlockSection>
        <apex:pageBlockButtons location="bottom">
            <apex:commandButton value="Search" action="{!searchForTruckList}" rerender="id-trucklist,id-filter1" status="ajaxStatus" />
        </apex:pageBlockButtons>
    </apex:pageBlock>

    <apex:outputPanel id="id-trucklist">

        <apex:pageBlock title="List of Truck Trips" >
            <apex:pageMessage severity="INFO" summary="No truck trips found for selected parameters." rendered="{!WrapperValues.size = 0}"/>

            <apex:pageBlockTable value="{!WrapperValues}" var="wrapper" rendered="{!WrapperValues.size > 0}">

                <apex:column >
                    <apex:commandLink value="{!IF(wrapper.status = 'New','Pending',wrapper.status)} {!wrapper.unitName} {!wrapper.shift} {!wrapper.ttDate}" action="{!showDetail}" >
                    	<apex:param assignTo="{!combinationSelected}" value="{!wrapper.combination}" name="selectedWrapperCombination" />
                    </apex:commandLink>
                </apex:column>
                <apex:column headerValue="Truck Trip Date">
                    <apex:outputText value="{0, date, dd/MM/YYYY}">
                        <apex:param value="{!wrapper.ttDate}" />
                    </apex:outputText>
                </apex:column>
                <apex:column headerValue="Shift">
                    <apex:outputText value="{!wrapper.shift}"/>
                </apex:column>
                <apex:column headerValue="Unit #">
                    <apex:outputText value="{!wrapper.unitName}"/>
                </apex:column>
                <apex:column headerValue="Status">
                    <apex:outputText value="{!wrapper.status}"/>
                </apex:column>
                <apex:column headerValue="Water Loads">
                    <apex:outputText value="{!wrapper.water}"/>
                </apex:column>
                <apex:column headerValue="Oil Loads">
                    <apex:outputText value="{!wrapper.oil}"/>
                </apex:column>
                <apex:column headerValue="Total Loads">
                    <apex:outputText value="{!wrapper.total}"/>
                </apex:column>
                <apex:column headerValue="Completed Loads">
                    <apex:outputText value="{!wrapper.completed}"/>
                </apex:column>
                <apex:column headerValue="Given Back Loads">
                    <apex:outputText value="{!wrapper.givenBackCount}" />
                </apex:column>
                <apex:column headerValue="Owner">
                    <apex:outputText value="{!wrapper.dispatcher}"/>
                </apex:column>

            </apex:pageBlockTable>
        </apex:pageBlock>

    </apex:outputPanel>



</apex:form>
</apex:page>